×

关注微信公众号

免备案网站空间虚拟主机双线空间域名查询PS数码后期
photoshop互助课堂数百G视频教程下载英语培训机构初中英语如何学随时随地聆听大师开讲/课堂
酷素材!视频教程打包下手绘教程抠图教程路径专辑photoshop cs3视频教程
查看: 1694|回复: 17

[求助] 新手上路,请各位指教!!

[复制链接]
发表于 2012-5-1 21:10:01 | 显示全部楼层 |阅读模式
(defun c:test()
  (setq n (getint "请输入正多边形边数N:"))
  (setq en (entsel "\n选取欲作内接多边形的圆:"))
  (setq i 0)
  (initget "I i C c")
  (while en
    (setq endata (entget (car en)))
    (setq entype (cdr (assoc 0 endata)))
    (if (= entype "CIRCLE")
      (progn
    (setq cenpt (cdr (assoc 10 endata)))
    (setq rad (cdr (assoc 40 endata)))
    (setq side (getkword "[内接I]或[外接C]"))
    (if (= side "I")
      (command "polygon" n cenpt "i" rad)
      (command "polygon" n cenpt "c" rad))
      (setq i (+1 i))
    )
      (alert "该对象不是圆,请重新选取圆")
      )
    (setq en (entsel "\n选取下一个欲作内接正多边形的圆:"))
    )
  (princ (strcat "\n共绘制了" (itoa i) "圆内接正多边形"))
(prin1)
)
本帖的地址:http://bbs.jcwcn.com/forum.php?mod=viewthread&tid=454174
跟着教程做一遍,做完的图要到这里评论交作业,教程有看不懂的地方,可以在贴子下面评论
 楼主| 发表于 2012-5-1 21:10:34 | 显示全部楼层
酷素材
循环一次 然后显示函数错误
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-5-1 21:55:16 | 显示全部楼层
各位看官,来点儿意见撒
回复 支持 反对

使用道具 举报

发表于 2018-3-24 14:37:14 | 显示全部楼层
顶顶多好
回复 支持 反对

使用道具 举报

发表于 2018-3-24 15:00:12 | 显示全部楼层
酷素材
真心顶。。。。
回复 支持 反对

使用道具 举报

发表于 2018-3-24 14:39:06 | 显示全部楼层
酷素材
很好哦。。。
回复 支持 反对

使用道具 举报

发表于 2018-3-24 14:40:05 | 显示全部楼层
好帖子要收藏
回复 支持 反对

使用道具 举报

发表于 2018-3-24 14:49:56 | 显示全部楼层
楼主我支持你
回复 支持 反对

使用道具 举报

发表于 2018-5-13 21:19:16 | 显示全部楼层
很不错。。。
回复 支持 反对

使用道具 举报

发表于 2018-5-13 21:15:26 | 显示全部楼层
顶顶多好
回复 支持 反对

使用道具 举报

发表于 2018-5-13 21:18:59 | 显示全部楼层
真心顶。。。。
回复 支持 反对

使用道具 举报

发表于 2018-5-13 20:28:41 | 显示全部楼层
说的非常好
回复 支持 反对

使用道具 举报

发表于 2018-5-13 20:53:41 | 显示全部楼层
LZ真是人才
回复 支持 反对

使用道具 举报

发表于 2018-6-14 10:48:59 | 显示全部楼层
好帖就是要顶
回复 支持 反对

使用道具 举报

发表于 2018-6-14 10:05:09 | 显示全部楼层
说的非常好
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | [立即注册]

本版积分规则

2345